- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Enumerations | Functions | Variables
ecore_audio_obj_out.h File Reference

Ecore_Audio output object. More...

## Macros
#define | EAPI
#define | ECORE_AUDIO_OBJ_OUT_CLASS ecore_audio_obj_out_class_get()
| Ecore_Audio output object class.
#define | ECORE_AUDIO_OBJ_OUT_ID(sub_id) (ECORE_AUDIO_OBJ_OUT_BASE_ID + EO_TYPECHECK(enum Ecore_Audio_Obj_Out_Sub_Ids, sub_id))
#define | ecore_audio_obj_out_input_attach(input, ret) ECORE_AUDIO_OBJ_OUT_ID(ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUT_ATTACH), EO_TYPECHECK(Eo *, input), EO_TYPECHECK(Eina_Bool *, ret)
| Attach an input to an output. More...
#define | ecore_audio_obj_out_input_detach(input, ret) ECORE_AUDIO_OBJ_OUT_ID(ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUT_DETACH), EO_TYPECHECK(Eo *, input), EO_TYPECHECK(Eina_Bool *, ret)
| Detach an input from an output. More...
#define | ecore_audio_obj_out_inputs_get(inputs) ECORE_AUDIO_OBJ_OUT_ID(ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUTS_GET), EO_TYPECHECK(Eina_List **, inputs)
| Detach an input from an output. More...

## Enumerations
enum | Ecore_Audio_Obj_Out_Sub_Ids { ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUT_ATTACH, ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUT_DETACH, ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUTS_GET, ECORE_AUDIO_OBJ_OUT_SUB_ID_LAST }

## Functions
const Eo_Class * | ecore_audio_obj_out_class_get ()
| Get the Eo class ID. More...

## Variables
EAPI Eo_Op | ECORE_AUDIO_OBJ_OUT_BASE_ID

## Detailed Description

Ecore_Audio output object.